# Class JSR223Sampler

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.ScriptingTestElement
org.apache.jmeter.util.JSR223TestElement
org.apache.jmeter.protocol.java.sampler.JSR223Sampler

All Implemented Interfaces:
  `Serializable, Cloneable, ConfigMergabilityIndicator, Searchable, Sampler, TestBean, TestElement, TestStateListener`

public class JSR223Sampler extends JSR223TestElement implements Cloneable, Sampler, TestBean, ConfigMergabilityIndicator

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class ScriptingTestElement

`scriptLanguage`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`JSR223Sampler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applies(ConfigTestElement configElement)`
Does configElement apply to Sampler
`SampleResult`
`sample(Entry entry)`
Obtains statistics about the given Entry, and packages the information into a SampleResult.

### Methods inherited from class JSR223TestElement

`getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

### Methods inherited from class ScriptingTestElement

`getFilename, getParameters, getScript, setFilename, setParameters, setScript`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

## Constructor Details

### JSR223Sampler

public JSR223Sampler()

## Method Details

### sample

public SampleResult sample(Entry entry)
Description copied from interface: `Sampler`
Obtains statistics about the given Entry, and packages the information into a SampleResult.

Specified by:
  `sample` in interface `Sampler`
Parameters:
  `entry` - the Entry (TODO seems to be unused)
Returns:
  information about the sample

### applies

public boolean applies(ConfigTestElement configElement)
Description copied from interface: `ConfigMergabilityIndicator`
Does configElement apply to Sampler

Specified by:
  `applies` in interface `ConfigMergabilityIndicator`
Parameters:
  `configElement` - `ConfigTestElement`
Returns:
  boolean
See Also:
  - `AbstractSampler.applies(org.apache.jmeter.config.ConfigTestElement)`